summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-engines/scummvm-tools
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-engines/scummvm-tools')
-rw-r--r--games-engines/scummvm-tools/Manifest1
-rw-r--r--games-engines/scummvm-tools/files/scummvm-tools-1.7.0-binprefix.patch11
-rw-r--r--games-engines/scummvm-tools/metadata.xml8
-rw-r--r--games-engines/scummvm-tools/scummvm-tools-1.7.0.ebuild56
4 files changed, 76 insertions, 0 deletions
diff --git a/games-engines/scummvm-tools/Manifest b/games-engines/scummvm-tools/Manifest
new file mode 100644
index 00000000000..17fa75b6417
--- /dev/null
+++ b/games-engines/scummvm-tools/Manifest
@@ -0,0 +1 @@
+DIST scummvm-tools-1.7.0.tar.bz2 956801 SHA256 b4005c3d68e4c5bda4fa9e31f3998fc5b45b7c9381890ed3d5f0b57f77a62589 SHA512 6a04307912327cb91fb4e1689b67ce621c3e28cbd5460c20974384907d21cb266e9d00b74a6991813366d2c34f966d79dc12e71750d083c82b89a2ec654b04b1 WHIRLPOOL 2034eb3817b5e11b0ba626f2b2b88a2e29a973e538f7a43cafffa0247792c4292821dfa20decd18842155938a65cb74af35b18dbf5d0da61b2d4c18e1b1dc2fc
diff --git a/games-engines/scummvm-tools/files/scummvm-tools-1.7.0-binprefix.patch b/games-engines/scummvm-tools/files/scummvm-tools-1.7.0-binprefix.patch
new file mode 100644
index 00000000000..604db075395
--- /dev/null
+++ b/games-engines/scummvm-tools/files/scummvm-tools-1.7.0-binprefix.patch
@@ -0,0 +1,11 @@
+--- scummvm-tools-1.7.0.orig/Makefile.common
++++ scummvm-tools-1.7.0/Makefile.common
+@@ -312,7 +312,7 @@
+ install: $(TARGETS)
+ $(INSTALL) -p -m 0755 -d $(DESTDIR)$(BINDIR)
+ $(INSTALL) -p -m 0755 -d $(DESTDIR)$(DATADIR)/scummvm-tools
+- for i in $^ ; do $(INSTALL) -p -m 0755 $$i $(DESTDIR)$(BINDIR) ; done
++ for i in $^ ; do $(INSTALL) -p -m 0755 $$i $(DESTDIR)$(BINDIR)/$(EXEPREFIX)$$i ; done
+ $(INSTALL) -m 0755 -d $(DESTDIR)$(DATADIR)/scummvm-tools
+ $(INSTALL) -p -m 0644 $(srcdir)/gui/media/*.* $(DESTDIR)$(DATADIR)/scummvm-tools
+
diff --git a/games-engines/scummvm-tools/metadata.xml b/games-engines/scummvm-tools/metadata.xml
new file mode 100644
index 00000000000..f325c8eea00
--- /dev/null
+++ b/games-engines/scummvm-tools/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <upstream>
+ <remote-id type="sourceforge">scummvm</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-engines/scummvm-tools/scummvm-tools-1.7.0.ebuild b/games-engines/scummvm-tools/scummvm-tools-1.7.0.ebuild
new file mode 100644
index 00000000000..a10bc424a32
--- /dev/null
+++ b/games-engines/scummvm-tools/scummvm-tools-1.7.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WX_GTK_VER=2.8
+inherit wxwidgets eutils flag-o-matic games
+
+DESCRIPTION="utilities for the SCUMM game engine"
+HOMEPAGE="http://scummvm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/scummvm/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86 ~x86-fbsd"
+IUSE="flac iconv mad png vorbis"
+RESTRICT="test" # some tests require external files
+
+RDEPEND="png? ( media-libs/libpng:0 )
+ mad? ( media-libs/libmad )
+ flac? ( media-libs/flac )
+ vorbis? ( media-libs/libvorbis )
+ iconv? ( virtual/libiconv media-libs/freetype:2 )
+ sys-libs/zlib
+ >=dev-libs/boost-1.32
+ x11-libs/wxGTK:2.8"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ rm -rf *.bat dists/win32
+ sed -ri -e '/^(CC|CXX)\b/d' Makefile || die
+ epatch "${FILESDIR}/${P}-binprefix.patch"
+}
+
+src_configure() {
+ # Not an autoconf script
+ ./configure \
+ --enable-verbose-build \
+ --mandir=/usr/share/man \
+ --prefix="${GAMES_PREFIX}" \
+ --libdir="${GAMES_PREFIX}/lib" \
+ --datadir="${GAMES_DATADIR}" \
+ $(use_enable flac) \
+ $(use_enable iconv) \
+ $(use_enable iconv freetype) \
+ $(use_enable mad) \
+ $(use_enable png) \
+ $(use_enable vorbis) || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" EXEPREFIX="${PN}-" install
+ dodoc README TODO
+ prepgamesdirs
+}